all:ms gnu borland watcom
ms:
	cl -nologo -c -MD -W4 -Za syntax.cpp
	nmake clean /NOLOGO
borland:
	bcc32 -c -wall syntax.cpp
	nmake clean /NOLOGO
gnu:
	echo Cygwin32 GNU
	gcc -c -pedantic -Wall syntax.cpp
	nmake clean /NOLOGO
watcom:
	wpp386 syntax.c
	nmake clean /NOLOGO
clean:
	if exist *.obj del *.obj
	if exist *.o del *.o
